@echo off
REM *******************************************************************
REM
REM  Description: C ECI version 2 sample make file for CICS TG SDK
REM
REM  Licensed Materials - Property of IBM  
REM   
REM  5724-I81,5725-B65,5655-Y20 
REM   
REM  (C) Copyright IBM Corp. 2008, 2014 All Rights Reserved.  
REM   
REM  US Government Users Restricted Rights - Use, duplication or  
REM  disclosure restricted by GSA ADP Schedule Contract with  
REM  IBM Corp.  
REM
REM  Status: Version 9 Release 1 
REM *******************************************************************
SETLOCAL ENABLEEXTENSIONS

REM USAGE make [32|64]   the default option is 32
REM The compiled samples will be generated in the same location as this script.

REM Determine location of this file
SET LOC=%~dp0

REM Determine current working directory
SET USERCWD=%CD%

REM Switch current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%LOC%"

REM Set the location of the ctgclient library
set CTG_LIB_PATH=
if "%1" == "32" set CTG_LIB_PATH=..\..\Windows\link32
if "%1" == "64" set CTG_LIB_PATH=..\..\Windows\link64
if "%1" == "" set CTG_LIB_PATH=..\..\Windows\link32
if NOT DEFINED CTG_LIB_PATH GOTO INVALIDPARM

echo CICS Transaction Gateway Basic ECI version 2 C Sample 1:
echo on

cl /nologo /Od /Z7 /D_DEBUG /c /DCICS_W32 /D_CRT_SECURE_NO_DEPRECATE ^
   /I ..\..\include /I ..\include /Foctgecib1.obj ctgecib1.c

link /LIBPATH:%CTG_LIB_PATH% /DEBUG ctgecib1.obj ctgclient.lib /OUT:ctgecib1.exe

@echo off
echo CICS Transaction Gateway Basic ECI version 2 C Sample 2:
echo on

cl /nologo /Od /Z7 /D_DEBUG /c /DCICS_W32 /D_CRT_SECURE_NO_DEPRECATE ^
   /I ..\..\include /I ..\include /Foctgecib2.obj ctgecib2.c

link /LIBPATH:%CTG_LIB_PATH% /DEBUG ctgecib2.obj ctgclient.lib /OUT:ctgecib2.exe

@echo off
echo CICS Transaction Gateway Basic ECI version 2 C Sample 3:
echo on

cl /nologo /Od /Z7 /D_DEBUG /c /DCICS_W32 /D_CRT_SECURE_NO_DEPRECATE ^
   /I ..\..\include /I ..\include /Foctgecib3.obj ctgecib3.c

link /LIBPATH:%CTG_LIB_PATH% /DEBUG ctgecib3.obj ctgclient.lib /OUT:ctgecib3.exe

@echo off
REM Restore current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%USERCWD%"
ENDLOCAL
GOTO END

:INVALIDPARM
echo An invalid parameter has been specified
echo Usage syntax: %0% [32^|64]
echo 32 - Compile 32-bit sample (default)
echo 64 - Compile 64-bit sample

:END
