      *
      * Module Name        CICS3270.CBL
      *
      * Descriptive Name   CICS EPI 3270 constant definitions
      *
      * Licensed Materials - Property of IBM  
      *  
      * "Restricted Materials of IBM"  
      *  
      * 5724-I81,5725-B65 
      *  
      * (C) Copyright IBM Corp. 1994, 2014  
      *  
      * US Government Users Restricted Rights - Use, duplication or  
      * disclosure restricted by GSA ADP Schedule Contract with  
      * IBM Corp.  
      *
      * Status: Version 9 Release 1 
      *
      * Notes :-
      *
      * This copybook is provided with the CICS Transaction Gateway.
      * The values it contains refer to the ASCII definition of 3270
      * datastream.
      *

      *
      * See CICS3270.H and CICS3270.C for a fuller description of these
      * values
      *

      *  Values for the AID field

       77 CICS-EPI-AID-ENTER             PIC X  VALUE ''''.
       77 CICS-EPI-AID-CLEAR             PIC X  VALUE '_'.
       77 CICS-EPI-AID-CLEAR-PARTITION   PIC X  VALUE '|'.
       77 CICS-EPI-AID-SEL-PEN-ATT       PIC X  VALUE '='.
       77 CICS-EPI-AID-OP-ID             PIC X  VALUE 'W'.
       77 CICS-EPI-AID-MAG-RDR-NUM       PIC X  VALUE 'X'.
       77 CICS-EPI-AID-TRIGGER           PIC X  VALUE '"'.
       77 CICS-EPI-AID-PA1               PIC X  VALUE '%'.
       77 CICS-EPI-AID-PA2               PIC X  VALUE '>'.
       77 CICS-EPI-AID-PA3               PIC X  VALUE ','.
       77 CICS-EPI-AID-PF1               PIC X  VALUE '1'.
       77 CICS-EPI-AID-PF2               PIC X  VALUE '2'.
       77 CICS-EPI-AID-PF3               PIC X  VALUE '3'.
       77 CICS-EPI-AID-PF4               PIC X  VALUE '4'.
       77 CICS-EPI-AID-PF5               PIC X  VALUE '5'.
       77 CICS-EPI-AID-PF6               PIC X  VALUE '6'.
       77 CICS-EPI-AID-PF7               PIC X  VALUE '7'.
       77 CICS-EPI-AID-PF8               PIC X  VALUE '8'.
       77 CICS-EPI-AID-PF9               PIC X  VALUE '9'.
       77 CICS-EPI-AID-PF10              PIC X  VALUE ':'.
       77 CICS-EPI-AID-PF11              PIC X  VALUE '#'.
       77 CICS-EPI-AID-PF12              PIC X  VALUE '@'.
       77 CICS-EPI-AID-PF13              PIC X  VALUE 'A'.
       77 CICS-EPI-AID-PF14              PIC X  VALUE 'B'.
       77 CICS-EPI-AID-PF15              PIC X  VALUE 'C'.
       77 CICS-EPI-AID-PF16              PIC X  VALUE 'D'.
       77 CICS-EPI-AID-PF17              PIC X  VALUE 'E'.
       77 CICS-EPI-AID-PF18              PIC X  VALUE 'F'.
       77 CICS-EPI-AID-PF19              PIC X  VALUE 'G'.
       77 CICS-EPI-AID-PF20              PIC X  VALUE 'H'.
       77 CICS-EPI-AID-PF21              PIC X  VALUE 'I'.
       77 CICS-EPI-AID-PF22              PIC X  VALUE X'5B'.
       77 CICS-EPI-AID-PF23              PIC X  VALUE '.'.
       77 CICS-EPI-AID-PF24              PIC X  VALUE '<'.

      * Table for translating binary values to displayable characters

       01 TABLE1.
           02 TABLE1-CONTENTS.
               05 FILLER  PIC X(8)  VALUE X'2041424344454647'.
               05 FILLER  PIC X(8)  VALUE X'48495B2E3C282B21'.
               05 FILLER  PIC X(8)  VALUE X'264A4B4C4D4E4F50'.
               05 FILLER  PIC X(8)  VALUE X'51525D242A293B5E'.
               05 FILLER  PIC X(8)  VALUE X'2D2F535455565758'.
               05 FILLER  PIC X(8)  VALUE X'595A7C2C255F3E3F'.
               05 FILLER  PIC X(8)  VALUE X'3031323334353637'.
               05 FILLER  PIC X(8)  VALUE X'38393A2340273D22'.
           02 CICS-EPI-BIN-TO-ASCII REDEFINES
                                       TABLE1-CONTENTS PIC X(64).

      * Values for the command field

       77 CICS-EPI-CMD-WRITE             PIC X  VALUE X'31'.
       77 CICS-EPI-CMD-ERASE-WRITE       PIC X  VALUE X'35'.
       77 CICS-EPI-CMD-ERASE-WRITE-ALT   PIC X  VALUE X'3D'.
       77 CICS-EPI-CMD-EAU               PIC X  VALUE X'3F'.
       77 CICS-EPI-CMD-READ-BUFFER       PIC X  VALUE X'32'.

      * Values for the WCC bit positions

       77 CICS-EPI-WCC-PRINTER-BITA      PIC 9(4) COMP-5  VALUE 5.
       77 CICS-EPI-WCC-PRINTER-BITB      PIC 9(4) COMP-5  VALUE 4.
       77 CICS-EPI-WCC-START-PRINT-BIT   PIC 9(4) COMP-5  VALUE 3.
       77 CICS-EPI-WCC-ALARM-BIT         PIC 9(4) COMP-5  VALUE 2.
       77 CICS-EPI-WCC-KEYBRD-RESET-BIT  PIC 9(4) COMP-5  VALUE 1.
       77 CICS-EPI-WCC-RESET-MDT-BIT     PIC 9(4) COMP-5  VALUE 0.

      * Table for translating displayable characters to binary values

       01 TABLE2.
           02 TABLE2-CONTENTS.
               05 FILLER  PIC X(8)  VALUE X'FFFFFFFFFFFFFFFF'.
               05 FILLER  PIC X(8)  VALUE X'FFFFFFFFFFFFFFFF'.
               05 FILLER  PIC X(8)  VALUE X'FFFFFFFFFFFFFFFF'.
               05 FILLER  PIC X(8)  VALUE X'FFFFFFFFFFFFFFFF'.
               05 FILLER  PIC X(8)  VALUE X'000F3F3B1B2C103D'.
               05 FILLER  PIC X(8)  VALUE X'0D1D1C0E2B200B21'.
               05 FILLER  PIC X(8)  VALUE X'3031323334353637'.
               05 FILLER  PIC X(8)  VALUE X'38393A1E0C3E2E2F'.
               05 FILLER  PIC X(8)  VALUE X'3C01020304050607'.
               05 FILLER  PIC X(8)  VALUE X'0809111213141516'.
               05 FILLER  PIC X(8)  VALUE X'1718192223242526'.
               05 FILLER  PIC X(8)  VALUE X'2728290AFF1A1F2D'.
               05 FILLER  PIC X(8)  VALUE X'FFFFFFFFFFFFFFFF'.
               05 FILLER  PIC X(8)  VALUE X'FFFFFFFFFFFFFFFF'.
               05 FILLER  PIC X(8)  VALUE X'FFFFFFFFFFFFFFFF'.
               05 FILLER  PIC X(8)  VALUE X'FFFFFFFF2AFFFFFF'.
           02 CICS-EPI-ASCII-TO-BIN REDEFINES
                                       TABLE2-CONTENTS PIC X(128).

      * Values for orders

       77 CICS-EPI-ORDER-SF              PIC X  VALUE X'1D'.
       77 CICS-EPI-ORDER-SFE             PIC X  VALUE X'10'.
       77 CICS-EPI-ORDER-SBA             PIC X  VALUE X'11'.
       77 CICS-EPI-ORDER-SA              PIC X  VALUE X'1F'.
       77 CICS-EPI-ORDER-MF              PIC X  VALUE X'1E'.
       77 CICS-EPI-ORDER-MF2             PIC X  VALUE X'1A'.
       77 CICS-EPI-ORDER-IC              PIC X  VALUE X'13'.
       77 CICS-EPI-ORDER-PT              PIC X  VALUE X'09'.
       77 CICS-EPI-ORDER-RA              PIC X  VALUE X'14'.
       77 CICS-EPI-ORDER-EUA             PIC X  VALUE X'12'.
       77 CICS-EPI-ORDER-FF              PIC X  VALUE X'0C'.
       77 CICS-EPI-ORDER-CR              PIC X  VALUE X'0D'.
       77 CICS-EPI-ORDER-NL              PIC X  VALUE X'0A'.
       77 CICS-EPI-ORDER-EM              PIC X  VALUE X'19'.

      * Values for the Standard Field Attribute bit positions

       77 CICS-EPI-ATTR-PROTECTED-BIT    PIC 9(4) COMP-5  VALUE 5.
       77 CICS-EPI-ATTR-ALPHANUMERIC-BIT PIC 9(4) COMP-5  VALUE 4.
       77 CICS-EPI-ATTR-DISPLAY-BIT0     PIC 9(4) COMP-5  VALUE 3.
       77 CICS-EPI-ATTR-DISPLAY-BIT1     PIC 9(4) COMP-5  VALUE 2.
       77 CICS-EPI-ATTR-RESERVED-BIT     PIC 9(4) COMP-5  VALUE 1.
       77 CICS-EPI-ATTR-MDT-BIT          PIC 9(4) COMP-5  VALUE 0.

      * Common values for the Standard Field Attribute

       77 CICS-EPI-FLD-ATT-BMASK         PIC X  VALUE '0'.
       77 CICS-EPI-FLD-ATT-BMUNP         PIC X  VALUE ' '.
       77 CICS-EPI-FLD-ATT-BMUNN         PIC X  VALUE '&'.
       77 CICS-EPI-FLD-ATT-BMPRO         PIC X  VALUE '-'.
       77 CICS-EPI-FLD-ATT-BMBRY         PIC X  VALUE 'H'.
       77 CICS-EPI-FLD-ATT-BMDAR         PIC X  VALUE '<'.
       77 CICS-EPI-FLD-ATT-BMFSE         PIC X  VALUE 'A'.
       77 CICS-EPI-FLD-ATT-BMPRF         PIC X  VALUE '/'.
       77 CICS-EPI-FLD-ATT-BMASF         PIC X  VALUE '1'.
       77 CICS-EPI-FLD-ATT-BMASB         PIC X  VALUE '8'.
       77 CICS-EPI-FLD-ATT-UNNOD         PIC X  VALUE '('.
       77 CICS-EPI-FLD-ATT-UNIMD         PIC X  VALUE 'I'.
       77 CICS-EPI-FLD-ATT-UNNUM         PIC X  VALUE 'J'.
       77 CICS-EPI-FLD-ATT-UNINT         PIC X  VALUE 'R'.
       77 CICS-EPI-FLD-ATT-UNNON         PIC X  VALUE ')'.
       77 CICS-EPI-FLD-ATT-PROTI         PIC X  VALUE 'Y'.
       77 CICS-EPI-FLD-ATT-PROTN         PIC X  VALUE '%'.

      * Extended attribute types

       77 CICS-EPI-ATT-TYPE-ALL          PIC X  VALUE X'00'.
       77 CICS-EPI-ATT-TYPE-HILITE       PIC X  VALUE X'41'.
       77 CICS-EPI-ATT-TYPE-COLOR        PIC X  VALUE X'42'.
       77 CICS-EPI-ATT-TYPE-CHARSET      PIC X  VALUE X'43'.
       77 CICS-EPI-ATT-TYPE-3270         PIC X  VALUE X'C0'.
       77 CICS-EPI-ATT-TYPE-VALIDATIO    PIC X  VALUE X'C1'.
       77 CICS-EPI-ATT-TYPE-OUTLINE      PIC X  VALUE X'C2'.
       77 CICS-EPI-ATT-TYPE-SOSI         PIC X  VALUE X'FE'.

      * Extended attribute values for color

       77 CICS-EPI-COLOR-DEFAULT         PIC X  VALUE X'00'.
       77 CICS-EPI-COLOR-BLUE            PIC X  VALUE '1'.
       77 CICS-EPI-COLOR-RED             PIC X  VALUE '2'.
       77 CICS-EPI-COLOR-PINK            PIC X  VALUE '3'.
       77 CICS-EPI-COLOR-GREEN           PIC X  VALUE '4'.
       77 CICS-EPI-COLOR-TURQ            PIC X  VALUE '5'.
       77 CICS-EPI-COLOR-YELLOW          PIC X  VALUE '6'.
       77 CICS-EPI-COLOR-NEUTRAL         PIC X  VALUE '7'.

      * Extended attribute values for highlight

       77 CICS-EPI-HILITE-DEFAULT        PIC X  VALUE X'00'.
       77 CICS-EPI-HILITE-NORMAL         PIC X  VALUE '0'.
       77 CICS-EPI-HILITE-BLINK          PIC X  VALUE '1'.
       77 CICS-EPI-HILITE-REVERSE        PIC X  VALUE '2'.
       77 CICS-EPI-HILITE-UNDERSCORE     PIC X  VALUE '4'.

      * Extended attribute values for character set

       77 CICS-EPI-CHAR-SET-DEFAULT      PIC X  VALUE X'00'.
       77 CICS-EPI-CHAR-SET-DBCS         PIC X  VALUE '8'.

      * Extended attribute values for field validation is a bit array

       77 CICS-EPI-FLD-VAL-MAND-FILL-BIT PIC 9(4) COMP-5  VALUE 2.
       77 CICS-EPI-FLD-VAL-MAND-ENTR-BIT PIC 9(4) COMP-5  VALUE 1.
       77 CICS-EPI-FLD-VAL-TRIGGER-BIT   PIC 9(4) COMP-5  VALUE 0.

      * Extended attribute values for field outlining

       77 CICS-EPI-OUTLINE-NONE          PIC 9(4) COMP-5  VALUE 0.
       77 CICS-EPI-OUTLINE-UNDER         PIC 9(4) COMP-5  VALUE 1.
       77 CICS-EPI-OUTLINE-RIGHT         PIC 9(4) COMP-5  VALUE 2.
       77 CICS-EPI-OUTLINE-OVER          PIC 9(4) COMP-5  VALUE 4.
       77 CICS-EPI-OUTLINE-LEFT          PIC 9(4) COMP-5  VALUE 8.

      * Extended attribute values for SOSI

       77 CICS-EPI-SOSI-DISABLED         PIC X  VALUE X'00'.
       77 CICS-EPI-SOSI-ENABLED          PIC X  VALUE X'01'.
