      *
      * Module Name        CICSEPI.CBL
      *
      * Descriptive Name   CICS External Presentation Interface
      *
      * Licensed Materials - Property of IBM  
      *  
      * "Restricted Materials of IBM"  
      *  
      * 5724-I81,5725-B65,5655-Y20 
      *  
      * (C) Copyright IBM Corp. 1994, 2014  
      *  
      * US Government Users Restricted Rights - Use, duplication or  
      * disclosure restricted by GSA ADP Schedule Contract with  
      * IBM Corp.  
      *
      * Status: Version 9 Release 1 
      *
      * Notes :-
      *
      * This copybook is provided with the CICS Transaction Gateway.
      *

      *
      * Constants
      *
       77 CICS-EPI-SYSTEM-MAX        PIC 9(4)  COMP-5 VALUE 8.
       77 CICS-EPI-DESCRIPTION-MAX   PIC 9(4)  COMP-5 VALUE 60.
       77 CICS-EPI-NETNAME-MAX       PIC 9(4)  COMP-5 VALUE 8.
       77 CICS-EPI-TRANSID-MAX       PIC 9(4)  COMP-5 VALUE 4.
       77 CICS-EPI-DEVTYPE-MAX       PIC 9(4)  COMP-5 VALUE 16.
       77 CICS-EPI-ERROR-MAX         PIC 9(4)  COMP-5 VALUE 60.
       77 CICS-EPI-PASSWORD-MAX      PIC 9(4)  COMP-5 VALUE 10.
       77 CICS-EPI-USERID-MAX        PIC 9(4)  COMP-5 VALUE 10.
       77 CICS-EPI-MAPNAME-MAX       PIC 9(4)  COMP-5 VALUE 7.
       77 CICS-EPI-MAPSETNAME-MAX    PIC 9(4)  COMP-5 VALUE 8.
       77 CICS-EPI-TERMID-MAX        PIC 9(4)  COMP-5 VALUE 4.
       77 CICS-EPI-TERM-INDEX-NONE   PIC S9(4) COMP-5 VALUE -1.
       77 CICS-EPI-MIN-TERMINDEX     PIC 9(4)  COMP-5 VALUE 0.
      * EpiInitialise version
      * Supported value is X'00020000'.
       77 CICS-EPI-VERSION-200       PIC 9(8)  COMP-5 VALUE 131072.
       77 CICS-EPI-WIN-INITIALIZED   PIC 9(4)  COMP-5 VALUE 0.
       77 CICS-EPI-WIN-INSTALLED     PIC 9(4)  COMP-5 VALUE 1.
       77 CICS-EPI-WIN-EVENT         PIC 9(4)  COMP-5 VALUE 2.

      *
      * Parameter blocks to EPI calls
      *

      *
      *  CICSEPILISTSYSTEMS
      *
      *  Note: The value '16' assigned to CICS-EPINUMSYS and the
      *        matching value in the OCCURS clause for
      *        CICS-EPISYSTEM may need be be increased if the
      *        CICS-EPI-ERR-MORE-SYSTEMS error occurs.
      *
       77 CICS-EPINUMSYS             PIC 9(4)  COMP-5 VALUE 16.

       01 CICS-EPISYSTEM.
           02 FILLER
           OCCURS 0 TO 16 TIMES DEPENDING ON CICS-EPINUMSYS.
               05 SYSTEMNAME         PIC X(8).
               05 FILLER             PIC X.
               05 SYSTEMDESC         PIC X(60).
               05 FILLER             PIC X.

      *
      *  CICSEPIADDTERM
      *
       01 CICS-EPIATTRIBUTES.
           05 EPIADDTYPE             PIC 9(4) COMP-5.
               88 CICS-EPI-ADD-SYNC          VALUE 0.
               88 CICS-EPI-ADD-ASYNC         VALUE 1.
           05 INSTALLTIMEOUT         PIC 9(4)  COMP-5.
           05 READTIMEOUT            PIC 9(4)  COMP-5.
           05 SIGNONCAP              PIC 9(4) COMP-5.
               88 CICS-EPI-SIGNON-CAPABLE    VALUE 0.
               88 CICS-EPI-SIGNON-INCAPABLE  VALUE 1.
           05 CCSID                  PIC 9(4)  COMP-5.
           05 EPI-USERID             PIC X(10).
           05 FILLER                 PIC X VALUE LOW-VALUE.
           05 EPI-PASSWORD           PIC X(10).
           05 FILLER                 PIC X VALUE LOW-VALUE.

       01 CICS-EPIDETAILS.
           05 NETNAME                PIC X(8).
           05 FILLER                 PIC X.
           05 NUMLINES               PIC S9(4) COMP-5.
           05 NUMCOLUMNS             PIC S9(4) COMP-5.
           05 MAXDATA                PIC 9(4)  COMP-5.
           05 ERRLASTLINE            PIC S9(4) COMP-5.
           05 ERRINTENSIFY           PIC S9(4) COMP-5.
           05 ERRCOLOR               PIC S9(4) COMP-5.
           05 ERRHILIGHT             PIC S9(4) COMP-5.
           05 HILIGHT                PIC S9(4) COMP-5.
           05 COLOR                  PIC S9(4) COMP-5.
           05 RESERVED2              PIC S9(4) COMP-5.
           05 SYSTEM                 PIC X(8).
           05 FILLER                 PIC X.
           05 TERMID                 PIC X(4).
           05 FILLER                 PIC X.
           05 SIGNONCAP              PIC 9(4)  COMP-5.
               88 CICS-EPI-SIGNON-UNKNOWN    VALUE 2.

      *
      *  CICSEPIINQUIRESYSTEM
      *
       01 CICS-EPIINQSYSTEM.
           05 INQSYSNAME             PIC X(8).
           05 FILLER                 PIC X.

      *
      * CICSEPIATISTATE
      *
       01 CICS-EPIATISTATE           PIC S9(4) COMP-5.
           88 CICS-EPI-ATI-ON          VALUE 1.
           88 CICS-EPI-ATI-HOLD        VALUE 2.
           88 CICS-EPI-ATI-QUERY       VALUE 3.

      *
      * CICSEPIGETEVENT
      *
       01 CICS-EPI-WAIT-REQUEST      PIC S9(4) COMP-5.
           88 CICS-EPI-WAIT            VALUE 1.
           88 CICS-EPI-NOWAIT          VALUE 2.
       01 CICS-EPIEVENTDATA.
           05 TERMINDEX              PIC 9(4)  COMP-5.
           05 EVENT                  PIC S9(4) COMP-5.
               88 CICS-EPI-EVENT-SEND        VALUE 1.
               88 CICS-EPI-EVENT-CONVERSE    VALUE 2.
               88 CICS-EPI-EVENT-END-TRAN    VALUE 3.
               88 CICS-EPI-EVENT-START-ATI   VALUE 4.
               88 CICS-EPI-EVENT-END-TERM    VALUE 5.
               88 CICS-EPI-EVENT-ADD-TERM    VALUE 6.
           05 ENDREASON              PIC S9(4) COMP-5.
               88 CICS-EPI-END-SIGNOFF       VALUE 1.
               88 CICS-EPI-END-SHUTDOWN      VALUE 2.
               88 CICS-EPI-END-OUTSERVICE    VALUE 3.
               88 CICS-EPI-END-UNKNOWN       VALUE 4.
               88 CICS-EPI-END-FAILED        VALUE 5.
               88 CICS-EPI-TRAN-NO-ERROR      VALUE 0.
               88 CICS-EPI-TRAN-NOT-STARTED   VALUE 10.
               88 CICS-EPI-TRAN-STATE-UNKNOWN VALUE 11.
               88 CICS-EPI-READTIMEOUT-EXPIRED VALUE 15.
           05 TRANSID                PIC X(4).
           05 FILLER                 PIC X.
           05 RESERVED1              PIC X(4).
           05 FILLER                 PIC X.
           05 DATAPOINTER            POINTER.
           05 DATASIZE               PIC 9(4) COMP-5.
           05 ENDRETURNCODE          PIC S9(4) COMP-5.
           05 MAPNAME                PIC X(7).
           05 FILLER                 PIC X.
           05 MAPSETNAME             PIC X(8).
           05 FILLER                 PIC X.

      *
      * List of error returns from EPI Calls
      *
       01 EPI-RETURN-CODE            PIC S9(4) COMP-5.
           88 CICS-EPI-NORMAL                VALUE 0.
           88 CICS-EPI-ERR-NOT-INIT          VALUE 1.
           88 CICS-EPI-ERR-BAD-INDEX         VALUE 2.
           88 CICS-EPI-ERR-FAILED            VALUE 3.
           88 CICS-EPI-ERR-VERSION           VALUE 4.
           88 CICS-EPI-ERR-IS-INIT           VALUE 5.
           88 CICS-EPI-ERR-NO-SYSTEMS        VALUE 6.
           88 CICS-EPI-ERR-MORE-SYSTEMS      VALUE 7.
           88 CICS-EPI-ERR-MAX-TERMS         VALUE 8.
           88 CICS-EPI-ERR-SYSTEM            VALUE 9.
           88 CICS-EPI-ERR-TRAN-ACTIVE       VALUE 10.
           88 CICS-EPI-ERR-NO-DATA           VALUE 11.
           88 CICS-EPI-ERR-TTI-ACTIVE        VALUE 12.
           88 CICS-EPI-ERR-ATI-ACTIVE        VALUE 13.
           88 CICS-EPI-ERR-NO-CONVERSE       VALUE 14.
           88 CICS-EPI-ERR-ATI-STATE         VALUE 15.
           88 CICS-EPI-ERR-NO-EVENT          VALUE 16.
           88 CICS-EPI-ERR-MORE-EVENTS       VALUE 17.
           88 CICS-EPI-ERR-MORE-DATA         VALUE 18.
           88 CICS-EPI-ERR-WAIT              VALUE 19.
           88 CICS-EPI-ERR-SERVER-DOWN       VALUE 20.
           88 CICS-EPI-ERR-SENSE-CODE        VALUE 21.
           88 CICS-EPI-ERR-SECURITY          VALUE 22.
           88 CICS-EPI-ERR-IN-CALLBACK       VALUE 23.
           88 CICS-EPI-ERR-NULL-PARM         VALUE 24.
           88 CICS-EPI-ERR-ADDTYPE-INVALID   VALUE 25.
           88 CICS-EPI-ERR-SIGNONCAP-INVALID VALUE 26.
           88 CICS-EPI-ERR-RESPONSE-TIMEOUT  VALUE 27.
           88 CICS-EPI-ERR-SIGNON-NOT-POSS   VALUE 28.
           88 CICS-EPI-ERR-TERMID-INVALID    VALUE 29.
           88 CICS-EPI-ERR-MODELID-INVALID   VALUE 30.
           88 CICS-EPI-ERR-NOT-3270-DEVICE   VALUE 31.
           88 CICS-EPI-ERR-ALREADY-INSTALLED VALUE 32.
           88 CICS-EPI-ERR-USERID-INVALID    VALUE 33.
           88 CICS-EPI-ERR-PASSWORD-INVALID  VALUE 34.
           88 CICS-EPI-ERR-NULL-USERID       VALUE 35.
           88 CICS-EPI-ERR-NULL-PASSWORD     VALUE 36.
           88 CICS-EPI-ERR-CCSID-INVALID     VALUE 37.
           88 CICS-EPI-ERR-SERVER-BUSY       VALUE 38.
           88 CICS-EPI-ERR-ABENDED           VALUE 39.
           88 CICS-EPI-ERR-RESOURCE-SHORTAGE VALUE 40.
           88 CICS-EPI-ERR-NO-CICS           VALUE 41.
           88 CICS-EPI-ERR-MAX-SYSTEMS       VALUE 42.
           88 CICS-EPI-ERR-MAX-SESSIONS      VALUE 43.
