/*              CICS TG Client API Classes

   FILE NAME:   ccldefs.hpp

   DESCRIPTION: Common C++ definitions for CICS TG Client API for ECI and EPI

 Licensed Materials - Property of IBM  
  
 "Restricted Materials of IBM"  
  
 5724-I81,5725-B65 
  
 (C) Copyright IBM Corp. 1995, 2014  
  
 US Government Users Restricted Rights - Use, duplication or  
 disclosure restricted by GSA ADP Schedule Contract with  
 IBM Corp.  
   
   Status: Version 9 Release 1 
*/


#ifndef _CCLDEFS_
#define _CCLDEFS_


// Function call linkage and pointer specifications

#if defined(CICS_W32)
    #define CCLEXP
    #define CCLCALL
    #define CCLEXIT CICSEXIT
    #define CCLPTR
    #ifndef CCLI
        #define CCLI __declspec ( dllimport )
    #endif
#elif defined(CC_UNIX) || defined(CICS_SOL) || defined(CICS_AIX) || defined(CICS_HPUX) || defined(CICS_LNX)
    #define CCLI
    #define CCLCALL
    #define CCLEXP
    #define CCLPTR
#else
    // Error if no environment specified
    #error No application environment (CICS_xxx) specified
#endif


// Ensure multi-thread flag is set

#if defined(CICS_W32)
  #ifndef _MT
    #error Multi-thread compiler option (/MT or /MD) was not specified
  #endif
#endif


// global enumerations

class Ccl {
public:

/*
   Note: false/true enumeration values removed in V2.0.1, because they are
   now reserved words in some C++ compilers.
   enum           Bool {  no=0,yes=1,off=0,on=1,false=0,true=1 }; */

  enum           Bool {  no=0,yes=1,off=0,on=1 };
  enum           Sync {  sync,dsync,async };
  enum           ExCode{ noError,
                         bufferOverflow,multipleInstance,activeFlow,activeUOW,
                         syncType,threadCreate,threadWait,threadKill,
                         dataLength,noCICS,CICSDied,noReply,
                         transaction,systemError,resource,maxUOWs,
                         unknownServer,security,maxServers,maxRequests,
                         rolledBack,parameter,invalidState,transId,
                         initEPI,connect,dataStream,invalidMap,
                         cclClass,startTranFailure,timeout,
                         noPassword,noUserid,nullNewPassword,pemNotSupported,
                         pemNotActive, passwordExpired, passwordInvalid,
                         passwordRejected,useridInvalid,
                         invalidTermid, invalidModelid, not3270, invalidCCSid,
                         serverBusy, signonNotPossible};
};

#endif
