/*              CICS TG Client API Classes

   FILE NAME:   cclsess.hpp

   DESCRIPTION: C++ declaration of CICS TG Client API EPI Session Class
                (CclSession)

 Licensed Materials - Property of IBM  
  
 "Restricted Materials of IBM"  
  
 5724-I81,5725-B65 
  
 (C) Copyright IBM Corp. 1995, 2014  
  
 US Government Users Restricted Rights - Use, duplication or  
 disclosure restricted by GSA ADP Schedule Contract with  
 IBM Corp.  
   
   Status: Version 9 Release 1 
*/


#ifndef _CCLSESS_
#define _CCLSESS_

class CclSession {
friend class CclTerminal;
public:

// Typedefs and enumerations

  enum           State {
                   idle, server, client, discon, error };


// Constructors/Destructors

  CCLI           CclSession(
                   Ccl::Sync syncType );
  CCLI virtual   ~CclSession();


// Actions

  CCLI virtual void
                 handleReply(          // dispatcher called when data received
                   State state,
                   CclScreen* screen );


// Accessors

  CCLI CclTerminal*
                 terminal() const;     // access CclTerminal object
  CCLI const char*
                 transID() const;      // get current transaction id (4 char)
  CCLI Ccl::Sync syncType() const;     // get synchronisation type
  CCLI State     state() const;        // query current object state
  CCLI const char*
                 diagnose();           // get error description

private:
  CclSessionI*   ivpI;                 // pointer to implementation class

}; // end of class CclSession

#endif
