/*
   MODULE NAME        ctgstdat.h

   DESCRIPTIVE NAME   CICS Transaction Gateway Statistics
                      Application Programming Interface

 Licensed Materials - Property of IBM  
  
 "Restricted Materials of IBM"  
  
 5724-I81,5725-B65,5655-Y20 
  
 (C) Copyright IBM Corp. 2006, 2014  
  
 US Government Users Restricted Rights - Use, duplication or  
 disclosure restricted by GSA ADP Schedule Contract with  
 IBM Corp.  
   
   Status: Version 9 Release 1 

*/
/**
*@file
* Defines return codes for the statistics API
*/
#ifndef CTGSTDAT_H_
#define CTGSTDAT_H_

#define CTG_STAT_PROTOCOL_VER "1_0_0_0"

/*
  Return codes from the Gateway Daemon for statistical information
*/

#define CTGSTATS_SUCCESSFUL_QUERY       0
#define CTGSTATS_INCOMPLETE_RESULTSET   1
#define CTGSTATS_UNKNOWN_STATGROUPID   -1
#define CTGSTATS_UNKNOWN_STATID        -2
#define CTGSTATS_DUPLICATE_STATGROUPID -3
#define CTGSTATS_DUPLICATE_STATID      -4
#define CTGSTATS_NULL_ID               -5
#define CTGSTATS_UPDATE_EXCEPTION      -6

#endif /*CTGSTDAT_H_*/
