@echo off
REM
REM NAME:         ctgassist.bat
REM               Batch file to wrapper calls of the executable ctgassistant.jar
REM
REM Licensed Materials - Property of IBM  
REM  
REM "Restricted Materials of IBM"  
REM  
REM 5724-I81,5725-B65 
REM  
REM (C) Copyright IBM Corp. 2014  
REM  
REM US Government Users Restricted Rights - Use, duplication or  
REM disclosure restricted by GSA ADP Schedule Contract with  
REM IBM Corp.  
REM 
REM Status: Version 9 Release 1 
REM
REM  First identify the location of the executable jar
REM
REM  Assume SDK, try the classes sub-directory and that java is on the PATH:
REM
set scriptDir=%~dp0
set ctgJarName=%scriptDir%classes\ctgassistant.jar
set ctgJvmPath=
if exist "%ctgJarName%" goto foundCtgJar
REM
REM  If not there, then assume script is in the product bin directory, the jar
REM  is in the ..\classes directory and java is in the ..\jvm170\bin directory:
REM
set ctgJarName=%scriptDir%..\classes\ctgassistant.jar
set ctgJvmPath=%scriptDir%..\jvm180\bin\
:foundCtgJar
REM
REM  Now check for the debug switch.
REM  Clear ctgJarDebug first in case it was set by a previous run.
REM
set ctgJarDebug=
if "%~1"=="-X" (
   set ctgJarDebug=-Ddebug
   shift
) 
REM
REM  Now execute the jar passing any parameters to it.
REM  If too many arguments were specified, print help.
REM
if "[%~2]"=="[]" (
"%ctgJvmPath%java" %ctgJarDebug% -jar "%ctgJarName%" %1
) else (
"%ctgJvmPath%java" %ctgJarDebug% -jar "%ctgJarName%" -?
)
